PLplot: octave_swig_ref Class Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Member Functions | Private Attributes | List of all members
octave_swig_ref Class Reference

## Public Member Functions
| octave_swig_ref (octave_swig_type *_ptr=0)
| ~octave_swig_ref ()
octave_swig_type * | get_ptr () const
octave_base_value * | clone () const
octave_base_value * | empty_clone () const
dim_vector | dims (void) const
bool | is_defined () const
virtual bool | is_map () const
virtual octave_value | subsref (const std::string &ops, const std::list< octave_value_list > &idx)
virtual octave_value_list | subsref (const std::string &ops, const std::list< octave_value_list > &idx, int nargout)
octave_value | subsasgn (const std::string &ops, const std::list< octave_value_list > &idx, const octave_value &rhs)
virtual bool | is_object () const
virtual bool | is_string () const
virtual std::string | string_value (bool force=false) const
virtual Octave_map | map_value () const
virtual string_vector | map_keys () const
virtual bool | save_ascii (std::ostream &os)
virtual bool | load_ascii (std::istream &is)
virtual bool | save_binary (std::ostream &os, bool &save_as_floats)
virtual bool | load_binary (std::istream &is, bool swap, oct_mach_info::float_format fmt)
virtual octave_value | convert_to_str (bool pad=false, bool force=false, char type= '"') const
virtual octave_value | convert_to_str_internal (bool pad, bool force, char type) const
void | print (std::ostream &os, bool pr_as_read_syntax=false) const

## Private Attributes
octave_swig_type * | ptr
| DECLARE_OCTAVE_ALLOCATOR
| DECLARE_OV_TYPEID_FUNCTIONS_AND_DATA

## Detailed Description

Definition at line 1703 of file plplot_octaveOCTAVE_wrap.cxx.

## Constructor & Destructor Documentation

octave_swig_ref::octave_swig_ref | ( | octave_swig_type * | _ptr = `0` | ) |
| inline

Definition at line 1706 of file plplot_octaveOCTAVE_wrap.cxx.

octave_swig_ref::~octave_swig_ref | ( |  | ) |
| inline

Definition at line 1709 of file plplot_octaveOCTAVE_wrap.cxx.

## Member Function Documentation

octave_base_value* octave_swig_ref::clone | ( |  | ) | const
| inline

Definition at line 1715 of file plplot_octaveOCTAVE_wrap.cxx.

virtual octave_value octave_swig_ref::convert_to_str | ( | bool | pad = `false`,
|  | bool | force = `false`,
|  | char | type = `'"'`
| ) |  | const
| inlinevirtual

Definition at line 1782 of file plplot_octaveOCTAVE_wrap.cxx.

virtual octave_value octave_swig_ref::convert_to_str_internal | ( | bool | pad,
|  | bool | force,
|  | char | type
| ) |  | const
| inlinevirtual

Definition at line 1785 of file plplot_octaveOCTAVE_wrap.cxx.

dim_vector octave_swig_ref::dims | ( | void |  | ) | const
| inline

Definition at line 1721 of file plplot_octaveOCTAVE_wrap.cxx.

octave_base_value* octave_swig_ref::empty_clone | ( |  | ) | const
| inline

Definition at line 1718 of file plplot_octaveOCTAVE_wrap.cxx.

octave_swig_type* octave_swig_ref::get_ptr | ( |  | ) | const
| inline

Definition at line 1712 of file plplot_octaveOCTAVE_wrap.cxx.

bool octave_swig_ref::is_defined | ( |  | ) | const
| inline

Definition at line 1724 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_ref::is_map | ( |  | ) | const
| inlinevirtual

Definition at line 1727 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_ref::is_object | ( |  | ) | const
| inlinevirtual

Definition at line 1739 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_ref::is_string | ( |  | ) | const
| inlinevirtual

Definition at line 1742 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_ref::load_ascii | ( | std::istream & | is | ) |
| inlinevirtual

Definition at line 1762 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_ref::load_binary | ( | std::istream & | is,
|  | bool | swap,
|  | oct_mach_info::float_format | fmt
| ) |  |
| inlinevirtual

Definition at line 1768 of file plplot_octaveOCTAVE_wrap.cxx.

virtual string_vector octave_swig_ref::map_keys | ( |  | ) | const
| inlinevirtual

Definition at line 1756 of file plplot_octaveOCTAVE_wrap.cxx.

virtual Octave_map octave_swig_ref::map_value | ( |  | ) | const
| inlinevirtual

Definition at line 1752 of file plplot_octaveOCTAVE_wrap.cxx.

void octave_swig_ref::print | ( | std::ostream & | os,
|  | bool | pr_as_read_syntax = `false`
| ) |  | const
| inline

Definition at line 1788 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_ref::save_ascii | ( | std::ostream & | os | ) |
| inlinevirtual

Definition at line 1759 of file plplot_octaveOCTAVE_wrap.cxx.

virtual bool octave_swig_ref::save_binary | ( | std::ostream & | os,
|  | bool & | save_as_floats
| ) |  |
| inlinevirtual

Definition at line 1765 of file plplot_octaveOCTAVE_wrap.cxx.

virtual std::string octave_swig_ref::string_value | ( | bool | force = `false` | ) | const
| inlinevirtual

Definition at line 1745 of file plplot_octaveOCTAVE_wrap.cxx.

octave_value octave_swig_ref::subsasgn | ( | const std::string & | ops,
|  | const std::list< octave_value_list > & | idx,
|  | const octave_value & | rhs
| ) |  |
| inline

Definition at line 1736 of file plplot_octaveOCTAVE_wrap.cxx.

virtual octave_value octave_swig_ref::subsref | ( | const std::string & | ops,
|  | const std::list< octave_value_list > & | idx
| ) |  |
| inlinevirtual

Definition at line 1730 of file plplot_octaveOCTAVE_wrap.cxx.

virtual octave_value_list octave_swig_ref::subsref | ( | const std::string & | ops,
|  | const std::list< octave_value_list > & | idx,
|  | int | nargout
| ) |  |
| inlinevirtual

Definition at line 1733 of file plplot_octaveOCTAVE_wrap.cxx.

## Member Data Documentation

octave_swig_ref::DECLARE_OCTAVE_ALLOCATOR
| private

Definition at line 1792 of file plplot_octaveOCTAVE_wrap.cxx.

octave_swig_ref::DECLARE_OV_TYPEID_FUNCTIONS_AND_DATA
| private

Definition at line 1793 of file plplot_octaveOCTAVE_wrap.cxx.

octave_swig_type* octave_swig_ref::ptr
| private

Definition at line 1704 of file plplot_octaveOCTAVE_wrap.cxx.

The documentation for this class was generated from the following file:

- plplot_octaveOCTAVE_wrap.cxx